Get card details of a specific card.
IMPORTANT:
This API method contains PCI sensitive information.
- Session-Id="Encrypted" AES Key e-g (AB521456236KHU52) is required if encryption is needed and the campaign is configured for encryption of sensitive data.
- This is optional if encryption is not needed and the campaign is not configured for encryption of sensitive data.
You can read more on how our Secure API’s work here .
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction. |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card. For example: a member id or wallet number. |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card. Field is required if the customer has more than one card linked to their wallet. |
| transactionID | String | 1.255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side. | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key. |
<methodCall>
<methodName>GetCardDetails</methodName>
<params>
<param>
<value>
<string>0084711380</string>
</value>
</param>
<param>
<value>
<string>PPDEC07201</string>
</value>
</param>
<param>
<value>
<string>4987057272502351</string>
</value>
</param>
<param>
<value>
<string>1234567</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20201207T09:06:40</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>7a6ab8939b9585f49e397fd143de38bd454472e1</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| cvv2 | String | New CVV2 of the specified card. (Encrypted depending on configuration). |
| cardNumber | String | Card number. (Encrypted depending on configuration). |
| validDate | String | String representation of the valid date as MM/YY as expected by web forms when doing online payments. |
| expiryDate | Date | The expiry date of the created card. (Encrypted depending on configuration). |
| trackingNumber | String | Tracking number of the card. |
| retired | Boolean | If card is retired. |
| stopped | Boolean | If card is stopped. |
| activated | Boolean | If card is activated. |
| expired | Boolean | If card is expired. |
| IV | String | The key with which encrypted data in response is encrypted. (Key used for encryption). |
| resultCode | Integer | Status code indicating transaction result. |
| resultText | String | Text indicating transaction result. |
<methodresponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>cvv2</name>
<value>
<string>H524IK</string>
</value>
</member>
<member>
<name>cardNumber</name>
<value>
<string>GHT52789BNHP52F</string>
</value>
</member>
<member>
<name>validDate</name>
<value>
<string>10/22</string>
</value>
</member>
<member>
<name>expiryDate</name>
<value>
<string>HY98PMDEFR63254NMHA:GT5:6PLX</string> //expiry date
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>189469100000008</string>
</value>
</member>
<member>
<name>retired</name>
<value>
<boolean>0</boolean>
</value>
<member>
<member>
<name>stopped</name>
<value>
<boolean>0</boolean>
</value>
</member>
<member>
<name>activated</name>
<value>
<boolean>1</boolean>
</value>
</member>
<member>
<name>expired</name>
<value>
<boolean>0</boolean>
</value>
</member>
<member>
<name>IV</name>
<value>
<string>GTYM521PL98THB72156HTBD5H</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodresponse>